# dipy_fit_gqi

## Synopsis

Workflow for Generalized Q-Sampling Imaging (GQI)

See [1] for further details about the method.

## Usage

    dipy_fit_gqi [OPTIONS] input_files bvalues_files bvectors_files mask_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `mask_files`

  Path to the input masks. This path may contain wildcards to use multiple masks at once.

## General Options

- `--method`

  Method used to compute the ODFs. It can be ‘standard’ or ‘gqi2’. (default: gqi2)

- `--sampling_length`

  The maximum length of the sampling fibers. (default: 1.2)

- `--normalize_peaks`

  If True, the peaks are normalized to 1. (default: False)

- `--sphere_name`

  Sphere name on which to reconstruct the fODFs. (default: None)

- `--b0_threshold`

  Threshold used to find b0 volumes. (default: 50.0)

- `--bvecs_tol`

  Bvecs should be unit vectors. (default: 0.01)

- `--sh_order_max`

  Maximum spherical harmonics order (l) used in the SFM fit. (default: 8)

- `--relative_peak_threshold`

  Only return peaks greater than `relative_peak_threshold * m` where m is the largest peak. (default: 0.5)

- `--min_separation_angle`

  The angle tolerance between directions. (default: 25)

- `--parallel`

  Whether to use parallelization in peak-finding. (default: False)

- `--extract_pam_values`

  Save or not to save pam volumes as single nifti files. (default: False)

- `--num_processes`

  If parallel is True, the number of subprocesses to use (default: None)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_pam`

  Name of the peaks volume to be saved. (default: peaks.pam5)

- `--out_shm`

  Name of the spherical harmonics volume to be saved. (default: shm.nii.gz)

- `--out_peaks_dir`

  Name of the peaks directions volume to be saved. (default: peaks_dirs.nii.gz)

- `--out_peaks_values`

  Name of the peaks values volume to be saved. (default: peaks_values.nii.gz)

- `--out_peaks_indices`

  Name of the peaks indices volume to be saved. (default: peaks_indices.nii.gz)

- `--out_gfa`

  Name of the generalized FA volume to be saved. (default: gfa.nii.gz)

- `--out_sphere`

  Sphere vertices name to be saved. (default: sphere.txt)

- `--out_b`

  Name of the B Matrix to be saved. (default: B.nii.gz)

- `--out_qa`

  Name of the Quantitative Anisotropy to be saved. (default: qa.nii.gz)

## References

[1]

Fang-Cheng Yeh, Van Jay Wedeen, and Wen-Yih Isaac Tseng. Generalized $q$-Sampling Imaging. IEEE Transactions on Medical Imaging, 29(9):1626–1635, 2010. URL: https://doi.org/10.1109/TMI.2010.2045126, doi:10.1109/TMI.2010.2045126.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.